FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202110011559.p0.git.3fc0d89.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202110011559.p0.git.3fc0d89.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=3fc0d89 OS_GIT_VERSION=4.8.0-202110011559.p0.git.3fc0d89.assembly.stream-3fc0d89 SOURCE_DATE_EPOCH=1622720001 SOURCE_GIT_COMMIT=3fc0d89b2607808927f5b48168342f5dc3a1a271 SOURCE_GIT_TAG=v4.4-imagestream-1-52-g3fc0d89 SOURCE_GIT_URL=https://github.com/openshift/oauth-proxy 
WORKDIR  /go/src/github.com/openshift/oauth-proxy
COPY . .
RUN go build .

FROM openshift/base-rhel8:v4.8.0.20211001.161120
ENV __doozer=update BUILD_RELEASE=202110011559.p0.git.3fc0d89.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202110011559.p0.git.3fc0d89.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=3fc0d89 OS_GIT_VERSION=4.8.0-202110011559.p0.git.3fc0d89.assembly.stream-3fc0d89 SOURCE_DATE_EPOCH=1622720001 SOURCE_GIT_COMMIT=3fc0d89b2607808927f5b48168342f5dc3a1a271 SOURCE_GIT_TAG=v4.4-imagestream-1-52-g3fc0d89 SOURCE_GIT_URL=https://github.com/openshift/oauth-proxy 
COPY --from=builder /go/src/github.com/openshift/oauth-proxy/oauth-proxy /usr/bin/oauth-proxy
ENTRYPOINT ["/usr/bin/oauth-proxy"]

LABEL \
        License="GPLv2+" \
        io.k8s.description="OpenShift OAuth Proxy." \
        io.k8s.display-name="OpenShift OAuth Proxy" \
        io.openshift.tags="oauth" \
        vendor="Red Hat" \
        name="openshift/ose-oauth-proxy" \
        com.redhat.component="golang-github-openshift-oauth-proxy-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        release="202110011559.p0.git.3fc0d89.assembly.stream" \
        io.openshift.build.commit.id="3fc0d89b2607808927f5b48168342f5dc3a1a271" \
        io.openshift.build.source-location="https://github.com/openshift/oauth-proxy" \
        io.openshift.build.commit.url="https://github.com/openshift/oauth-proxy/commit/3fc0d89b2607808927f5b48168342f5dc3a1a271" \
        version="v4.8.0"

